Description

When clues field in styled questions is non-empty, following changes are needed in FE:

-if user does not answer correctly, (a) ask "Would you like hints? 'yes button' 'skip button' (b) if user wants to skip or no more clues or
detailedQNAs to show, goto (e); else show a clue or dQNA step (c) give 'answer choices' and ask for answer (d) if answer is wrong,
go to (b) (e) "Would you like a detailed answer? 'yes button' 'no button’ (f) if 'yes' show all steps of the clue and detailedQNAs as

detailed answer.

From a raw file to user perspective, we need to show user CQ -> DS -> dQNA -> dAns where dAns = CQ+DS+dQNA

History

#1 - 10/15/2024 09:47 AM - Ram Kordale

- Description updated

#2 - 10/16/2024 09:24 AM - Ram Kordale
- Assignee set to Dewakar Chaubey

- Estimated time set to 0.45 h

#3 - 10/16/2024 01:10 PM - Dewakar Chaubey

- Status changed from New to In Progress

#4 - 10/18/2024 06:00 AM - Dewakar Chaubey
- % Done changed from 0 to 70

#5 - 10/18/2024 09:16 AM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#6 - 10/18/2024 09:17 AM - Dewakar Chaubey
- Status changed from Resolved to Review

- Assignee changed from Dewakar Chaubey to Shubham Boke

#7 - 10/22/2024 06:43 AM - Shubham Boke
- Status changed from Review to Feedback

- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 11/04/2024 01:11 PM - Ram Kordale

- Description updated

Changing requirement from showing user getting

CQ or dQNA -> dAns where dAns = CQ or dQNA

to

CQ -> DS -> dQNA -> dAns where dAns = CQ+DS+dQNA

#9 - 11/04/2024 01:12 PM - Ram Kordale
- Estimated time changed from 0.45 h to 0.60 h

04/03/2025
#10 - 02/06/2025 08:07 AM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Shubham Boke

#11 - 02/06/2025 09:08 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ram Kordale

#12 - 03/27/2025 05:50 AM - Ram Kordale
- Status changed from Feedback to Closed

04/03/2025
